<?

header('Content-Type: text/html;charset=iso-8859-1');

include 'register_globals.php';
include 'connect_sql.php';
include 'membres.php';


	function filtrer_large($chaine) {
	
		$chaine = html_entity_decode(stripslashes(strip_tags(trim($chaine))));
		$chaine = eregi_replace("[\"<>]", "",$chaine); 
	
		return $chaine;
	}
	
	function filtrer_email($chaine) {
	
		$chaine = str_replace(" ","",$chaine); 
		$chaine = filtrer_large($chaine);
	
		return $chaine;
	}
	
	function filtrer_nom($chaine) {
	
		$chaine = eregi_replace("[^A-Z\éèêëaâäàiîïuçûüùoöô-]", "", $chaine);
		$chaine = filtrer_large($chaine);
	
		return $chaine;
	}
	
	function filtrer_prenom($chaine) {
	
		$chaine = eregi_replace("[^A-Zéèêëaâäàiîïuçûüùoöô-]", "", $chaine);
		$chaine = filtrer_large($chaine);
	
		return $chaine;
	}
	
	function filtrer_codes($chaine) {
	
		$chaine = eregi_replace("[^A-Z0-9éèêëaâäà_iîïuûüùoöô-]", "", $chaine);
		$chaine = filtrer_large($chaine);
	
		return $chaine;
	}
	
	function filtrer_nombre($chaine) {
	
		$chaine 		= eregi_replace('[^0-9]', '', $chaine);
		$chaine 		= filtrer_large($chaine);
	
		if ($chaine == '') 	{ $chaine = 0; }
	
		return $chaine;
	}
	
//$SITE['debug_sql']= 1;

function erreur_formulaire_inscription() {
global $bon_mail, $bon_login;
global $nom, $prenom, $pseudo, $password, $confirm, $annee, $email;

	$date_courante 	= date("Y");

	if ((!strpos($email, '@')) || (!strpos($email, '.')))	{ return "Votre adresse e-mail est <b>invalide</b> !"; }
	else if ((!isset($pseudo)) || (!$pseudo))			{ return "Vous n'avez pas indiqué <b>votre pseudo</b> !"; }
	else if ((!isset($password)) || (!$password))			{ return "Vous n'avez pas indiqué <b>votre mot de passe</b> !"; }
	else if (strlen($password) < 8)					{ return "Votre mot de passe doit comporter au moins <b>8 caractères</b> !"; }
	else if (!$bon_mail) 						{ return "<b><u>Votre adresse e-mail est refusée</u></b> : <br><br><b>1</b>- un autre utilisateur de Popular Chess la possède actuellement"; }
	else if (!$bon_login) 						{ return "<b><u>Votre pseudo est refusé</u></b> : <br><br><b>1</b>- un autre utilisateur de Popular Chess le possède actuellement"; }
	else 								{ return 0; }
}

$var_inscription	= 'nom, prenom, categorie, date, annee, email, pseudo, password, ip';

post_to_global($var_inscription);

$date = date("Y-m-d");
$ip = $_SERVER["REMOTE_ADDR"];

if (!$nom) { $nom = 'nom'; }
if (!$prenom) { $prenom = 'prenom'; }
if (!$annee) { $annee = '2000'; }

$nom = filtrer_nom($nom);
$prenom = filtrer_prenom($prenom);
$email = filtrer_email($email);
$pseudo = filtrer_codes($pseudo);
$password = filtrer_codes($password);
$annee = filtrer_nombre($annee);

$bon_login = !pseudo_existant($pseudo);
$bon_mail = !email_existant($email);

$erreur = erreur_formulaire_inscription();

if (!$erreur) {
	
	$id = inserer_variables_to_table_sql($var_inscription, 'membres');

	$index = 1;

	include('connexion.php');
	
	echo "Votre compte d'id <b>{$id}</b>, de pseudo <b>{$pseudo}</b> et d'adresse e-mail <b>{$email}</b> vient d'être créé sur Popular Chess ! <br><br>";
	echo "<b><font color=red>Prière de conserver précieusement ces informations pour une connexion future facilité !</font></b>";
	
	echo "<br><br><a href='index.php'>Retourner sur la page d'accueil de Popular Chess</a>";	
	
} else {
		
		echo $erreur;
		echo "<br><br><a href='javascript:window.history.go(-1)'>Retourner sur la page précédente</a>";
}

?>